﻿// ObservableObject, [ObservableProperty]
using CommunityToolkit.Mvvm.ComponentModel;

namespace Northwind.Maui.Blazor.Client.Views.Categories;

internal partial class Category : ObservableObject
{
  // Nazwy pól muszą być zgodne z konwencją wielbłądzią,
  // aby nazwy w nazwach generowanych właściwości publicznych
  // można było stosować konwencję tytułową.

  [ObservableProperty]
  [NotifyPropertyChangedFor(nameof(PicturePath))]
  private int categoryId;

  [ObservableProperty]
  private string categoryName;

  [ObservableProperty]
  private string description;

  [ObservableProperty]
  private byte[] picture;

  [ObservableProperty]
  private string picturePath;
}
